Package org.eclipse.ui.forms.events

# Interface IExpansionListener

All Known Implementing Classes:
  `ExpansionAdapter`

public interface IExpansionListener
Classes that implement this interface will be notified before and after the expandable control's expansion state changes.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`expansionStateChanged(ExpansionEvent e)`
Notifies the listener after the expandable control has changed its expansion state.
`static IExpansionListener`
`expansionStateChangedAdapter(Consumer<ExpansionEvent> consumer)`
Static helper method to create a `IExpansionListener` for the `expansionStateChanged(ExpansionEvent)` method, given a lambda expression or a method reference.
`void`
`expansionStateChanging(ExpansionEvent e)`
Notifies the listener that the expandable control is about to change its expansion state.
`static IExpansionListener`
`expansionStateChangingAdapter(Consumer<ExpansionEvent> consumer)`
Static helper method to create a `IExpansionListener` for the `expansionStateChanging(ExpansionEvent)` method, given a lambda expression or a method reference.

## Method Details

### expansionStateChanging

void expansionStateChanging(ExpansionEvent e)
Notifies the listener that the expandable control is about to change its expansion state. The state provided by the event is the new state.

Parameters:
  `e` - the expansion event

### expansionStateChanged

void expansionStateChanged(ExpansionEvent e)
Notifies the listener after the expandable control has changed its expansion state. The state provided by the event is the new state.

Parameters:
  `e` - the expansion event

### expansionStateChangingAdapter

static IExpansionListener expansionStateChangingAdapter(Consumer<ExpansionEvent> consumer)
Static helper method to create a `IExpansionListener` for the `expansionStateChanging(ExpansionEvent)` method, given a lambda expression or a method reference.

Parameters:
  `consumer` - the consumer of the event
Returns:
  IExpansionListener
Since:
  3.9

### expansionStateChangedAdapter

static IExpansionListener expansionStateChangedAdapter(Consumer<ExpansionEvent> consumer)
Static helper method to create a `IExpansionListener` for the `expansionStateChanged(ExpansionEvent)` method, given a lambda expression or a method reference.

Parameters:
  `consumer` - the consumer of the event
Returns:
  IExpansionListener
Since:
  3.9